/**********************************************************************************************************************************************************************************************
This do file creates a dta files with the price deflator

Source: https://www.minneapolisfed.org/about-us/monetary-policy/inflation-calculator/consumer-price-index-1913-
	
Copy the updated years data into the csv file in the Raw folder and calculate the deflator with base 2011
	
**********************************************************************************************************************************************************************************************/

import delimited "${price_deflator}\Price deflator_raw.csv", clear
*This is the raw data downloaded from the IMF

global output_price "${price_deflator}\"

*Keep only necessary variables
keep year deflator

save "$output_price\PRICE_DEFLATOR.dta", replace

*Input
save "$input_databases\PRICE_DEFLATOR.dta", replace